#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.edit_tenaga_ahli'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /} 
<div class="content">
	#{notifMigrasiSikap /}
	 #{alert /}
	#{form @rekanan.Staf_AhliCtr.simpan(), method:'POST'}
	 #{if staf.sta_id != NULL}
	  <input type="hidden" name="staf.sta_id" value="${staf.sta_id}" />
	 #{/if}
	 	 
 <div class="row">
 	<div class="col-md-6">
		 <div class="form-group row">
			<label class="col-lg-4 col-form-label">Nama <span class="warning">*</span></label>
			<div class="col-lg-8">
				<input name="staf.sta_nama" maxlength="80" value="${staf?.sta_nama}" class="form-control #{validate 'staf.sta_nama'/}" />
				 <div class="invalid-feedback">#{error 'staf.sta_nama' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Tanggal Lahir <span class="warning">*</span></label>
			<div class="col-lg-5">
				 <div  class="input-group date datepicker" id="tgllahir">
					<input name="staf.sta_tgllahir" type="text" value="${staf?.sta_tgllahir?.toDatepicker()}"
						   class="form-control datepicker #{validate 'staf.sta_tgllahir'/}"/>
					 <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
		         </div>
		          <div class="invalid-feedback">#{error 'staf.sta_tgllahir' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Alamat <span class="warning">*</span></label>
			<div class="col-lg-8">
				<input name="staf.sta_alamat" size="60" maxlength=100 value="${staf?.sta_alamat}" class="form-control #{validate 'staf.sta_alamat'/}" />
				 <div class="invalid-feedback">#{error 'staf.sta_alamat' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Pendidikan Terakhir <span class="warning">*</span></label></label>
			<div class="col-lg-8">
				<input name="staf.sta_pendidikan" size="30" maxlength=100 value="${staf?.sta_pendidikan}" class="form-control #{validate 'staf.sta_pendidikan'/}" />
				<div class="invalid-feedback">#{error 'staf.sta_pendidikan' /}</div>
			</div>
		</div>		
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Email</label>
			<div class="col-lg-8">
				<input name="staf.sta_email" maxlength="100" value="${staf?.sta_email}" class="form-control #{validate 'staf.sta_email'/}" />
				 <div class="invalid-feedback">#{error 'staf.sta_email' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Profesi/Keahlian <span class="warning">*</span></label>
			<div class="col-lg-8">
				<textarea name="staf.sta_keahlian" cols="50" rows="4" maxlength="80" class="form-control #{validate 'staf.sta_keahlian'/}">${staf?.sta_keahlian}</textarea>
				<div class="invalid-feedback">#{error 'staf.sta_keahlian' /}</div>
			</div>
		</div>
 	</div>
    <div class="col-md-6">
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">NPWP</label>
			<div class="col-lg-8 ">
				<input name="staf.sta_npwp" maxlength="100" value="${staf?.sta_npwp}" class="form-control #{validate 'staf.sta_npwp'/}" id="npwp" />
				<div class="invalid-feedback">#{error 'staf.sta_npwp' /}</div>
			</div>
		</div>
    	 <div class="form-group row">
			<label class="col-lg-4 col-form-label">Jenis Kelamin <span class="warning">*</span></label>
			<div class="col-lg-8">
				<div class="form-check form-check-inline">
					<input type="radio" class="form-check-input #{validate 'staf.sta_jenis_kelamin'/}" name="staf.sta_jenis_kelamin" value="1" #{if  staf.sta_jenis_kelamin == '1'}checked #{/if} />
					<label class="form-check-label">Pria</label>
				</div>
				<div class="form-check form-check-inline">
		        	<input type="radio" class="form-check-input #{validate 'staf.sta_jenis_kelamin'/}" name="staf.sta_jenis_kelamin" value="0" #{if staf.sta_jenis_kelamin == '0'}checked #{/if} />
					<label class="form-check-label">Wanita</label>
		        </div>        
		         <div class="invalid-feedback">#{error 'staf.sta_jenis_kelamin' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Kewarganegaraan</label>
			<div class="col-lg-8">
				<input name="staf.sta_kewarganearaan" maxlength="80" value="${staf?.sta_kewarganearaan}" class="form-control" />
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Pengalaman Kerja (Tahun) <span class="warning">*</span></label>
			<div class="col-lg-8">
				<input name="staf.sta_pengalaman" size="4" maxlength="3" value="${staf?.sta_pengalaman}" class="form-control #{validate 'staf.sta_pengalaman'/}" style="width:50px;" onkeypress="return isNumberKey(event)"/>
				 <div class="invalid-feedback">#{error 'staf.sta_pengalaman' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Status Kepegawaian <span class="warning">*</span></label>
			<div class="col-lg-8">
				<div class="form-check form-check-inline">
					<input type="radio" class="form-check-input #{validate 'staf.sta_status'/}" name="staf.sta_status" value="0" #{if  staf.sta_status == 0}checked#{/if} />
					<label class="form-check-label">Tetap</label>
				</div>
				<div class="form-check form-check-inline">
		        	<input type="radio" class="form-check-input #{validate 'staf.sta_status'/}" name="staf.sta_status" value="1" #{if staf.sta_status == 1}checked#{/if} />
					<label class="form-check-label">Tidak Tetap</label>
		        </div>        
		         <div class="invalid-feedback">#{error 'staf.sta_status' /}</div>
			</div>
		</div>
		<div class="form-group row">
			<label class="col-lg-4 col-form-label">Jabatan</label>
			<div class="col-lg-8">
				<input name="staf.sta_jabatan" maxlength="80" value="${staf?.sta_jabatan}" class="form-control" />
			</div>
		</div>
    </div>
 </div> 
  <p><strong>&{'rekanan.cv'}</strong></p>
  
	 <div class="card card-default">
	   <div class="card-header">Pengalaman</div>
	   <div class="card-body">
	    	<table class="table table-sm" id="tblPengalaman" >
	           <tr>
	              	<th style="width:10%">Tahun</th>
	             	<th style="width:90%">Uraian</th>
	            </tr>
	               #{list items:cvA, as : 'cv1'}
	               #{set i : cv1_index - 1 /}
	            <tr name="cvKategoriLoop" valign="top">
	  				#{if cv1.cva_id!=null}
	                <input type="hidden" name="cvId[${i}]"  value="${cv1?.cva_id}" class="form-control" />
	                #{/if}
	                #{else}
	                <input type="hidden" name="cvId[${i}]"  value="0" class="form-control" />
	                #{/else}
	                <input type="hidden" name="cvKat[${i}]"  value="a" class="form-control" />
	               <td width=10%><input name="cvWaktu[${i}]"  size="30" maxlength="4" class="form-control" value="${cv1?.dts_waktu}" onkeypress="return isNumberKey(event)"/></td>
	               <td><textarea name="cvDetil[${i}]" cols="80" rows="3" class="form-control" style="width:100%;">${cv1?.dts_uraian}</textarea></td>
	               <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
	            </tr>
	    		#{/list}
	        </table>
	       <button type="button" class="btn btn-secondary  btn-tambah" id="tambahPengalaman" value="Tambah Admin" style="align:right" ><i class="fa fa-plus-circle"></i> Tambah</button>
	  </div>  
	 </div>
	 	 <div class="card card-default">
	   <div class="card-header">Pendidikan</div>
	   <div class="card-body">
	    	<table class="table table-sm" id="tblPendidikan">
	              <tr>
	           	 	
	       
	           		
	              	<th style="width:10%">&{'rekanan.tahun'}</th>
	            
	             	<th style="width:90%">&{'rekanan.uraian'}</th>
	            </tr>
	                        #{list items:cvD, as : 'cv2'}
	                           #{set i : cv2_index - 1 /}
	           <tr name="cvKategoriLoop" valign="top">
	        
	                #{if cv1.cva_id!=null}
	                <input type="hidden" name="cvId2[${i}]"  value="${cv2?.cva_id}" class="form-control" />
	                #{/if}
	                #{else}
	                <input type="hidden" name="cvId2[${i}]"  value="0" class="form-control" />
	                #{/else}
	                   <input type="hidden" name="cvKat2[${i}]"  value="d" class="form-control" />
	               <td width=100px><input name="cvWaktu2[${i}]"  size="30" maxlength="4" class="form-control" value="${cv2?.dts_waktu}" onkeypress="return isNumberKey(event)"/></td>
	               <td><textarea name="cvDetil2[${i}]" cols="80" rows="3" class="form-control" style="width:100%;">${cv2?.dts_uraian}</textarea></td>
	            	 <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
	            </tr>
	    #{/list}
	        </table>
	          <button type="button" class="btn btn-secondary  btn-tambah" id="tambahPendidikan" value="Tambah Admin" style="align:right" ><i class="fa fa-plus-circle"></i> Tambah</button>
	  </div>  
	 </div>
  	 <div class="card card-default">
	   <div class="card-header">Sertifikat</div>
	   <div class="card-body">
	    	<table class="table table-sm" id="tblSertifikat">
	              <tr>
	           	 	
	      
	           		
	              	<th style="width:10%">&{'rekanan.tahun'}</th>
	            
	             	<th style="width:90%">&{'rekanan.uraian'}</th>
	            </tr>
	               
	             #{list items:cvL, as : 'cv3'}
	                #{set i : cv3_index - 1 /}
	            <tr name="cvKategoriLoop" valign="top">
	     
	                #{if cv1.cva_id!=null}
	                <input type="hidden" name="cvId3[${i}]"  value="${cv3?.cva_id}" class="form-control" />
	                #{/if}
	                #{else}
	                <input type="hidden" name="cvId3[${i}]"  value="0" class="form-control" />
	                #{/else}
	                   <input type="hidden" name="cvKat3[${i}]"  value="l" class="form-control" />
	               <td width=100px><input name="cvWaktu3[${i}]"  size="30" maxlength="4" class="form-control" value="${cv3?.dts_waktu}" onkeypress="return isNumberKey(event)"/></td>
	               <td><textarea name="cvDetil3[${i}]" cols="80" rows="3" class="form-control" style="width:100%;">${cv3?.dts_uraian}</textarea></td>
	            	 <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
	            </tr>
	            #{/list}
	        </table>
	           <button type="button" class="btn btn-secondary  btn-tambah" id="tambahSertifikat" value="Tambah Admin" style="align:right" ><i class="fa fa-plus-circle"></i> Tambah</button>
	  </div>  
	 </div>
	   	 <div class="card card-default">
	   <div class="card-header">Bahasa</div>
	   <div class="card-body">
	    	<table class="table table-sm" id="tblUraian">
	           <tr>
	          
	             	<th style="width:100%">&{'rekanan.uraian'}</th>
	            </tr>
	               
	             #{list items:cvB, as : 'cv4'}
	                #{set i : cv4_index - 1 /}
	            <tr name="cvKategoriLoop" valign="top">
	       
	               #{if cv1.cva_id!=null}
	                <input type="hidden" name="cvId4[${i}]"  value="${cv4?.cva_id}" class="form-control" />
	                #{/if}
	                #{else}
	                <input type="hidden" name="cvId4[${i}]"  value="0" class="form-control" />
	                #{/else}
	                   <input type="hidden" name="cvKat4[${i}]"  value="b" class="form-control" />
	               <td><textarea name="cvDetil4[${i}]" cols="80" rows="3" class="form-control" style="width:100%;">${cv4?.dts_uraian}</textarea></td>
	            	 <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
	            </tr>
	            #{/list}
	        </table>
	           <button type="button" class="btn btn-secondary  btn-tambah" id="tambahUraian" value="Tambah " style="align:right" ><i class="fa fa-plus-circle"></i> Tambah</button>
	  </div>  
	 </div>	
      #{if active_user.canEditDataPenyedia} #{saveButton /} #{/if}
      #{backButton action:@rekanan.Staf_AhliCtr.list()/}        
#{/form}
   <div class="bs-callout bs-callout-warning">
	   <span class="warning">*</span> Data ini wajib diisi.</br></br>
             <strong>Perhatian :</strong><br/>
                        - Jika baris isian kurang, maka klik button Simpan terlebih dahulu, kemudian akan muncul tambahan 2 baris isian. <br />
                        - Format penulisan untuk Tahun ditulis 4 digit (misal: 2010) dan Uraian minimal 4 karakter.
        </div> 
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript"  src="#{assets '/js/jquery.maskedinput.min.js'/}"></script>
<script type="text/javascript">  
$("#tambahPengalaman").click(function(){

    var ind = $('#tblPengalaman tr').length - 1

    var addPengalaman = ' <tr><input type="hidden" name="cvId['+ind+']" value="'+ind+'">'+
    				'<input type="hidden" name="cvKat['+ind+']" value="a">'+
                    '<td style="padding: 5px;"><input type="text" class="form-control" maxlength="4" name="cvWaktu['+ind+']" onkeypress="return isNumberKey(event)"></td>'+
                    '<td style="padding: 5px;"><textarea class="form-control" cols="80" rows="3" style="width:100%;" name="cvDetil['+ind+']"></textarea></td>'+
                    ' <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
 	 $("#tblPengalaman").append(addPengalaman)
 	   	  
 })
 
  $("#tambahPendidikan").click(function(){
    
    var ind = $('#tblPendidikan tr').length - 1

    var addPendidikan = ' <tr><input type="hidden" name="cvId2['+ind+']" value="'+ind+'">'+
    				'<input type="hidden" name="cvKat2['+ind+']" value="d">'+
                    '<td style="padding: 5px;"><input type="text" class="form-control" maxlength="4" name="cvWaktu2['+ind+']" onkeypress="return isNumberKey(event)"></td>'+
                    '<td style="padding: 5px;"><textarea class="form-control" cols="80" rows="3" style="width:100%;" name="cvDetil2['+ind+']"> </textarea></td>'+
                     ' <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
 	 $("#tblPendidikan").append(addPendidikan)
 	   	  
 })
 
   $("#tambahSertifikat").click(function(){
    
    var ind = $('#tblSertifikat tr').length - 1

    var addSertifikat = ' <tr><input type="hidden" name="cvId3['+ind+']" value="'+ind+'">'+
    				'<input type="hidden" name="cvKat3['+ind+']" value="l">'+
                    '<td style="padding: 5px;"><input type="text" class="form-control" maxlength="4" name="cvWaktu3['+ind+']" onkeypress="return isNumberKey(event)"></td>'+
                    '<td style="padding: 5px;"><textarea class="form-control" cols="80" rows="3" style="width:100%;" name="cvDetil3['+ind+']"></textarea></td>'+
                     ' <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
 	 $("#tblSertifikat").append(addSertifikat)
 	   	  
 })
 
     $("#tambahUraian").click(function(){
    
    var ind = $('#tblUraian tr').length - 1

    var addUraian = ' <tr><input type="hidden" name="cvId4['+ind+']" value="'+ind+'">'+
    				'<input type="hidden" name="cvKat4['+ind+']" value="b">'+
                    '<td style="padding: 5px;"><textarea class="form-control" cols="80" rows="3" style="width:100%;" name="cvDetil4['+ind+']"></textarea></td>'+
                     ' <td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
 	 $("#tblUraian").append(addUraian)
 	   	  
 })
 
 function bindCheckBox(){

     $('.checkbox-row').unbind();

     $('.checkbox-row').change(function(e){

       var checked = $(this).prop("checked");
       var target = $(this).data('target');

       if (checked) {
         $('#delete-' + target).show();  
       } else {
         $('#delete-' + target).hide();  
       }

     })
   }

  $('.cv-add').click(function(e){
     e.preventDefault();

        var ind = $('#tblAdmin tr').length - 1

    var addAdmin = ' <tr><td><input class="form-check-input" type="checkbox" name="cvId['+ind+']"></td>'+
    				'<input type="hidden" name="cvId['+ind+']" value="'+ind+'">'+
                    '<td><input type="text" class="form-control" name="cvWaktu['+ind+']" ></td>'+
                    '<td><textarea cols="80" rows="3" style="width:100%;" name="cvDetil['+ind+']"> </textarea></td></tr>'
 	 $("#tblAdmin").append(addAdmin)

     bindCheckBox();

   })
   
   $(document).on('click', '.removeBtn', function(){
    $(this).parent().parent().remove()
 })
 
   $('.cv-del').click(function(e){
     e.preventDefault();

     var ids = $(this).attr('id');
  		console.log(ids)
     var target = id.substr(id.indexOf('-') + 1);

     var targets = $('[data-target="' + target + '"]');
	
     for (var i = 0; i < targets.length; i++) {
       if ($(targets[i]).prop("checked")) {
         var tr = $(targets[i]).parents()[2];
         
         $(tr).remove();
       }
     }

     $(this).hide();
   })

   bindCheckBox();
   $('#npwp').attr('placeholder', '__.___.___._-___.___');
   $('#npwp').on("click", function () {
       $(this).mask("99.999.999.9-999.999");
   });
  	#{if !active_user.canEditDataPenyedia}
  	$(document).ready(function(){
		$("form input").attr('disabled','disabled');
		$("form textarea").attr('disabled','disabled');
		$("form select").attr('disabled','disabled');
		$("form button.btn-simpan").attr('disabled','disabled');
		$(".btn-hapus").attr('disabled','disabled');
		$(".btn-tambah").attr('disabled','disabled');
		$(".removeBtn").hide();
	})
	#{/if}
</script>
#{/set}


